## ros-kinetic-thormang3-mpc 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(thormang3_mpc)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-thormang3-mpc (0.2.0-0xenial) xenial; urgency=high

  * modified build option and dependencies configuration
  * modified cmake & package setting for yaml-cpp
  * changed depend pkg for catkin dependencies and package.xml format to v2
  * changed include path for dependencies and license to Apache v2
  * changed node setting
  * changed gazebo mode to false
  * upgrade walking algorism
  * Contributors: Kayman, SCH, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 26 Mar 2018 15:00:00 -0000

ros-kinetic-thormang3-mpc (0.1.3-0xenial) xenial; urgency=high

  * updated cmake file for ros install
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-kinetic-thormang3-mpc (0.1.2-0xenial) xenial; urgency=high

  * removed error of negative cut_off_freq
  * bug fix : balance param and joint feedback gain update
  * bug fix : joint feedback gain update
  * when balance turned off, walking can be started
  * modified done msg in walking module and action module
  * upgrade walking balance control
  * 
    
      * fixed package dependencies
    
  * 
    
      * optimized cpu usage by spin loop (by astumpf)
    
  * Merge branch 'whole-body' into walking_upgrade
  * bug fix : incorrect target force for balance
  * Merge branch 'whole-body' into walking_upgrade
  * wholebody modified
  * 
    
      * reduce CPU consumption
    
  * wholebody inipose added
  * update thormang3_head_control_module : scan lidar using range
  * Contributors: Jay Song, Zerom, Kayman

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-kinetic-thormang3-mpc (0.1.1-0xenial) xenial; urgency=high

  * package name changed
    imu_3dm_gx4 -> thormang3_imu_3dm_gx4
  * Contributors: Jay Song

 -- Pyo <pyo@robotis.com>  Thu, 18 Aug 2016 15:00:00 -0000

ros-kinetic-thormang3-mpc (0.1.0-0xenial) xenial; urgency=high

  * first public release for Kinetic
  * modified package information for release
  * Contributors: Jay Song, Zerom, Kayman, SCH, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 17 Aug 2016 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-thormang3-mpc
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/thormang3_mpc
Standards-Version: 3.9.2

Package: ros-kinetic-thormang3-mpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ati-ft-sensor, ros-kinetic-motion-module-tutorial, ros-kinetic-sensor-module-tutorial, ros-kinetic-thormang3-action-module, ros-kinetic-thormang3-balance-control, ros-kinetic-thormang3-base-module, ros-kinetic-thormang3-feet-ft-module, ros-kinetic-thormang3-gripper-module, ros-kinetic-thormang3-head-control-module, ros-kinetic-thormang3-kinematics-dynamics, ros-kinetic-thormang3-manager, ros-kinetic-thormang3-manipulation-module, ros-kinetic-thormang3-walking-module
Description: ROS packages for the thormang3_mpc (meta package)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-thormang3-mpc//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
